.prevent-select {
    -webkit-user-select: none; /* Safari */
    -ms-user-select: none; /* IE 10 and IE 11 */
    user-select: none; /* Standard syntax */
  }
  
  ::-moz-selection { /* Code for Firefox */
    color: white;
    background: rgb(246, 98, 0, .8);
  }
  
  ::selection {
      color: white;
      background: rgb(246, 98, 0, .8);
  }
  
  ::-webkit-scrollbar {
    width: 8px;
  }
  
  /* Track */
  ::-webkit-scrollbar-track {
    background: #f1f1f1;
  }
  
  /* Handle */
  ::-webkit-scrollbar-thumb {
    background: #888;
    border-radius: 4px;
  }
  
  /* Handle on hover */
  ::-webkit-scrollbar-thumb:hover {
    background: rgb(246, 98, 0, .8);
    border-radius: 4px;
    cursor: pointer;
  }

.swal2-small {
    width: 300px !important;
    font-size: 14px;
    border-radius: 20px;
}

.swal2-small-2 {
    width: 500px !important;
    font-size: 14px;
    border-radius: 20px;
}

.swal2-small .swal2-confirm, .swal2-small .swal2-cancel, .swal2-small-2 .swal2-confirm, .swal2-small-2 .swal2-cancel {
    padding: 10px 25px; /* Reduz a altura dos botões */
    font-size: 14px; /* Ajusta o tamanho da fonte dos botões */
    border-radius: 7px;
}

.swal2-small-2  .swal2-input, .swal2-small-2 .swal2-textarea {
    margin: 1rem !important; /* Reduz ainda mais o espaçamento vertical */
    font-size: 12pt !important; /* Define o tamanho da fonte dos elementos de entrada */
    border-radius: 0.75rem !important; /* Ajusta o border-radius */
    width: 90% !important; /* Reduz a largura dos inputs */
    border: solid 1px rgba(0,0,0,.05) !important; 
    box-shadow: none !important;
    text-align: left !important;
    color: rgba(0,0,0,.5) !important;
    font-weight: 400 !important;
}

.custom-title {
    font-size: 18px; /* Ajuste o tamanho da fonte conforme necessário */
    color: rgba(0,0,0,.35) !important;
    margin-top: 1.5rem; /* Increase the top margin */
}

.custom-title i {
    margin-right: 10px; /* Space between icon and text */
}

.swal2-small-2 .form-group {
  margin-bottom: 0.4rem !important; /* Reduz a margem inferior do form-group */
  position: relative !important; /* Necessário para o posicionamento do label */
}

.swal2-small-2 .form-group label {
  position: absolute !important;
  top: -0.2rem !important;
  left: 1.5rem !important;
  font-size: .7rem !important; /* Reduz o tamanho da fonte do label */
  color: #6c757d !important; /* Cor do label */
  pointer-events: none !important; /* O label não deve interferir com a interação do input */
  transition: all 0.2s ease !important; /* Transição suave para o movimento do label */
  background-color: white;
}

.dm-pop-message {
  border: 1px solid rgba(255,255,255,.4); 
  border-radius:10px;
  background-color: rgba(250,111,32,1);
  box-shadow: 0 5px 20px rgba(0,0,0, 0.2);
}

.swal-toast-container {
  z-index: 91100 !important; /* Certifique-se de que este valor seja maior que o do modal */
}

.swal-toast-popup {
  z-index: 91100 !important; /* Adicione !important para garantir que o estilo seja aplicado */
}